Bug 1564639 (CVE-2018-9275)

Summary: CVE-2018-9275 pam_yubico: Information disclosure in check_user_token in util.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: maxim, nb, oliver
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-16 17:22:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1564640, 1564641    
Bug Blocks:    

Description Pedro Sampaio 2018-04-06 18:38:46 UTC
In check_user_token in util.c in the Yubico PAM module (aka pam_yubico) 2.18 through 2.25, successful logins can leak file descriptors to the auth mapping file, which can lead to information disclosure (serial number of a device) and/or DoS (reaching the maximum number of file descriptors).

Upstream Issue:

https://github.com/Yubico/yubico-pam/issues/136

Upstream patch:

https://github.com/Yubico/yubico-pam/commit/0f6ceabab0a8849b47f67d727aa526c2656089ba

Comment 1 Pedro Sampaio 2018-04-06 18:39:15 UTC
Created pam_yubico tracking bugs for this issue:

Affects: fedora-all [bug 1564641]
Affects: epel-all [bug 1564640]

Comment 2 Nick Bebout 2018-07-23 16:02:44 UTC
updates are pending push to testing.